6.2

Mod compat
 Chefs Delight (Fabric)
 Ghost Villager
 Visiting villagers (Fabric)
 X-Tra Villagers
 
Texture fix
 Beekeeper (Villagers Reworked)
 Fletcher savanna red hat strap
 Millager head item


6.1

Mod compat
 Delightful Chefs (Fabric)
 Friends&Foes (Beekeeper)
 Head Hunters (Fabric)
 Inns & Innkeepers (Fabric)
 Mo' Villagers (redstonevillager)
 More Villagers 2 (New villagers mod)
 Neo-Villagers
 Radical Cobblemon Trainer (Trainer association)
 Redstoneer Villager (ye)
 SpellCraft - Magic World (Arcanum)
 The Miner Villager
 Tiny Take Over Backport (Baby villager arms)
 Villagers: ReWorked
 SkyTrader
 
Update
 More_villagers:Re-employed
 Millager (Breacher, Commander)
 Guard, recruit and worker villagers (human head size by default, fix helmet height)
 Visiting villagers

Texture fix
 Chefs Delight's cook bandana
 Savanna hat
 Zombie villager Red Peacks Biomeswevegone wrong outfit
 Biomeswevegone's forager hat
 Cobblemon's paleontologist hat
 Ender villages brewing's neck


6.0

Global hairstyle rework, more variants, better hair colors

Biome assignement
 Add Nature's Spirit biomes support
 Add missing Oh The Biomes We've Gone biomes
 Add missing Regions Unexplored biomes
 Mushroom leather villager

Mod support
 Belgie's Mo' Villagers
 Chefs Delight
 Farmer's Delight
 ExtraVillagers
 Human Companions!
 L's Spooky Music Trader
 More_villagers:Re-employed
 Nanoh's Additional Villager Professions
 Nature's Spirit
 Non-Wandering Trader Profession
 Thom's Wandering Traders

Villager guards, recruits and workers
 Fix incorrect left arm texture orientation
 Fix leg outfit
 Fix recruits not showing team color
 Update mushroom guard outfit

Texture fix
 Mushroom villager beard
 Monster Hunter headwear neck
 Occultist (Villager Plus) headwear neck
 Lumberjack (More Traders) headwear neck
 Daiku Workers Villager neck


5.9

New biome outfit
 Woods
 Crimson forest
 Warped forest
 Red Rocks villager new pants color

New outfit
 Nether merchant
 Nether trader
 Leaf's trader
 Mushroom trader

Texture fix
 Fix incorrect headwear height
 Fisher hat overflap (bop:dryland)
 Taxbt - Nether trader hat overlap (bop:lush_desert)
 Redrocks guard neck color


5.8 - 5.7

Fix incorrect left arm texture orientation

Female villager have now "real" long hair

Better arms for baby villager

Fix Villager:retaliation variation

Fix hats were not full

Biomes variant for baby villagers (26.x)

New biome and outfits variant
 Red Rocks
 


5.6

New mob support
 Baby villagers (26.x)
 
New biome support
 Regions unexplored
 

5.5

New mod support
 Ender villages
 Villager Retaliation!
 Millager (Village Defenders)
 Daiku: Worker Villagers
 Villager construction

New outfits
 Badlands
 Drylands
 Red Rocks
 
New guard and recruit villager biome variant
 Badlands
 Drylands
 Red Rocks
 Cherry
 Mushrooms
 Ghasts
 Swamps

Textures fix
 Cherry guard hands
 Cherry guard right shoulder
 Garbage villager wooded badlands hat overlap
 Fix wandering traders outfit
 Jungle guard and recruit legs
 Fix guard and recruit biomes assignment
 

5.4

New outfits
 New red rock peacks, wooded badlands, witch forest, skyris vale villagers hat
 Update skyris vale clerics hat
 New outfit for atacama outback (Outback villagers)
 New cherry grove villager outfit
 
New guard villager biome variant
 Mushroom guards
 Cherry samourai guards
 Ghast guards

Textures fix
 Savanna fletcher male wrong grey pixel on right ear
 Desert ghast nether trader hat overlay
 Desert hunter trader hat overlay
 Fix hat height of savanna monster hunter villager
 Fix swamp biomes assignment for female cleric
 Fix female redhair neck
 Fix male blond hair
 Fix desert florist, miner, netherlogist, enderlogist (more villagers) hat overlay

Biomes
 Sakura grove (Biomes We've gone)
 
Supported mods
 Cherry Samurai Temple


5.3

New male and female

Hairstyle improvements

More eye colors variant

Desert villagers have now a hat by default

Fix Cherry fletcher wrong leave hat


5.2

Texture fix
 MC 26.x wandering trader hand missing texture
 Fix flower crown height of homesteads forager
 
Update More Trader builder outfit


5.1

Texture fix
 Zombie mason gloves
 Plains wandering trader incorrect hand color
 Fix ghast florist hat
 
Update desert villagers hat
Update biome guards villagers outfit
Update recruits villagers outfit
Update workers villagers outfit

Update steve (human) version of guards villagers
Update human version of recruits and workers villagers

Update spawn eggs


5.0

New head size, same as player head size


4.9

Fix badlands nether merchant T&L's Biome Traders

Fix prospector (homestead) helmet overlap

Fix illager trader snow hat overlap
Fix illager trader neck color

Add mobs
 Nebulus desert trader
 Nebulus juce trader
 Ore traders
 Leon's pale garden trader
 Data Trader
 Harvester trader


4.8

Add mobs
 T&L's Biome Traders
 Deep Dark Trader

Improved wandering traders outfit

Update desert villager merchant outfit

Update nether merchant villager merchant outfit to better fit with swamp type

Update illager villager trader outfit

Update guard and recruit villagers outfit

Fix worker villagers profession outfit

Update desert Enderlogist eye glasses hat overlap

Update zombie villagers version
 desert villager trader
 enchanter villager trader
 end villager trader
 leaf villager trader
 lush cave villager trader
 mushroom villager trader
 nether merchant trader
 ocean villager trader
 oceanographer villager trader
 xp villager trader


4.7

Random wandering trader

New mushroom villager outfit
New glowshroom villager outfit
New wood villager outfit
New badlands villager outfit
New red rock villager outfit
New warped villager outfit
New desert villager outfit
Imporved cherry tree villager outfit

Fix Glowshroom occultist
Fix Cherry cleric leaf hat color
Fix Cherry butcher wrong leaf hat

Fix Rugged Badlands cleric and shepherd biome assignment properties

Fix wood villager biome assignment properties

Fix cherry tree villager biome assignment properties
Biomeswevegone: Enchanted Tangle
 
Nether merchant biome variant

Update zombie version of updated outfits

Workers villagers (recruits)
Fix farmer hat
Miner now have a miner helmet


4.6

Improved outfits

 Savannas (remove leaves)
 Deserts (remove hat)
 Badlands (new hat)
 Lush caves (improve under leave hat)
 Swamps (fix leave hat)
 Swamp shepherd (new hat)
 Jungle fletcher (new hat)
 Jungle shepherd (new hat)
 Taiga shepherd (new hat)
 Taiga fletcher (new hat)
 Savanna fletcher (new hat)
 Savanna shepherd (new hat)
 Desert fletcher (new hat)
 Desert shepherd (new hat)
 Badlands fletcher (new hat)
 Badlands shepherd (new hat)
 Badlands cleric (new hood)
 Desert cleric (new hood)
 Forest cleric (new hood)
 Mushroom cleric (new hat)
 Red rock cleric (new hood)
 Savanna cleric (new banner)
 Snow cleric (new hat)
 Swamp cleric (fix leave hat)
 Wood cleric (new hood)
 Crimson cleric (new hat)
 Warped cleric (new hat)
 Skyris cleric (new hat)
 Lush cave cleric (new hat)
 Taiga shepherd (fix hair)
 Plains shepherd (new hair color)
 Swamp butcher (improve leave hat)
 
 Jungle Hunter villager (new hat)
 Warm Hunter villager (dark mustache)
 
 More villager swamp's miner (headlight)
 

4.5

Fix wood villagers biome assignment for old growth birch forest

Add missing modded biomes support
Pale Garden (Minecraft)
Pale bog (Biomes we've gone)
Tropics (Plenty O Biomes)

New swamp villager variant : Pale

Ghast villagers only spawn in Soul and Sand Valley

Expand hair to guard and recruits villagers

Fix hair incompatibility with desert hat
Fix Ghast desert villager

Expand Glowshroom variant to modded villagers


4.4

Support of Oh The Biomes We've gone biomes

New desert badlands outfit variants

wooded_badlands cleric biome assignment

Overhaul of villagers outfits
 Gloves
 Clerics
 Desert hat compatibility


4.3

Overhaul of the character model system to allow for greater variety in skin tone, eye color, and more within the same biome.

Mushroom Villagers, Cherry Tree villagers, Crimson and Warped villagers spawn now natively in their biomes.

New nether villagers biome type : Ghast


4.2

Fix savanna missing biome assignment properties
Fix cleric swamp biome assignment properties
Fix shepherd savanna biome assignment properties

Improved savanna jacket collar
Improve Moor, Ominous, Wetland swamp villager leaves color
New look for badlands villagers
Improved nether merchant outfit to fit with warped villager outfit

New nether villagers biome type : Crimson and Warped

Texture fix
 Outfit savanna3 missing gold belt
 Fix nitwit hair compatibility
 Fix garbage villager hair compatibility


4.1

Hair to base villagers

Improved plains villager outfit

Improved snow cleric outfit

Expand Mushroom villager theme to 
 Guard Villager Trader
 Illager Chef
 Illager Trader villagers
 Railcraft Reborn's Trackman and cartman
 
New villager traders biome type : Glowshroom (in glowing grottos)

Biome assignment properties
 Snow wandering traders Auroral Garden
 Jungle villagers rainforest
 Dark Forest iron golem
 Mushroom Fields iron golem
 Glowing Grotto mushroom villager traders

Texture fix
 Outfit savanna3 missing gold belt
 Outfit savanna2 update the jacket collar
 Ocean Trader's outfit
 Tundra cleric's fur color
 Mushroom villagers update the jacket collar
 
Iron golems leaves color for
 Nether
 Bog
 Ominous
 Mystic Grove
 

4.0

Support of Biome O Plenty biomes

Swamp biomes outfit color for Biome O Plenty

Savanna biomes outfit color

Review outfits of clerics

Texture fix
Left sleeves fix mushroom horticulturist of VillagersPlus


3.9

Outfit color by biome in badlands
eroded_badlands
wooded_badlands

Outfit color by biome swamp
mangrove_swamp

Outfit color by biome savanna
savanna_plateau
windswept_savanna

New villager traders biome type : Cherry (in cherry groves and in lush caves)

Improved mushroom villagers outfit
Improved ocean villagers outfit
Improved XP Trader outfit
Improved Lush Caves Trader

Texture fix
Overlap between glasses and desert hat Enderian trader from MoreVillagers

Left sleeves fix
Clerics
End Trader
Leaf's trader
Nether Villager Trader
Illager Trader
Monster Hunter Trader
Plains Trader
Jungle villagers and Jungle Trader
Mushroom Traders
More Villagers
Guard Trader Villager


3.8

Improved desert trader's outfit
Improved hair of armorer
Improved hair of nitwit
Improved snow wandering trader biome assignment

Texture fixes
 Hat of desert armorer
 Garbage villager neck hair
 Villagers plus Occultist's neck
 Sawmill carpenter's beard neck (swamp and mushroom)


3.7

Improved hat of desert villagers with compatibility to modded villagers

Improved modded villagers compatibility with snow biome hat

Texture fixes
 Hat of tundra shepherd
 Monster Hunter's Eye Patch to fit with ear
 Little fix to plains villager outfit
 Neck of villager with a hood
 Improved hat of desert villagers
 


3.6

Improved global clerics outfits
Improved hairstyle color of snow farmer
Improved hairstyle color of snow mason

Plains variants to
 Recruits villagers

Texture fixes
 Hat of Snow Recruits Villagers
 Fix biome assignment for snow shepherd in snowy_slopes grove jagged_peaks

3.5

Improved jungle cleric outfits
Improved jungle mason outfits

New iron golem variant flowers cherry grove

Better overleap of swamp's villagers hat
Better overleap of snow's villagers hat

Fix biome assignment for snow villagers and iron golem

Texture fixes
 Eye color of swamp's variant
 Robe color of savanna's cleric


3.4

Mushroom variant to 
 VillagerPlus
 More villagers
 
Plains variants to
 Guard villagers

Texture fixes
 Robe of plains and desert zombie villager
 Hair of nitwit
 Jungletrader robe
 Neck of wandering traders
 

3.3

Expand Mushroom villagers to modded villagers
Variant to Nethervillagertrader : spawn in Nether skin original, spawn in Overworld skin human


3.2

Swamp variant rotation

New villager trader biome type : Ocean (found on beaches and in warm oceans)

Texture fixes
 Desert nitwit hat
 Fix desert3 belt color


3.1

Fix Mushroom villagers


3.0

A complete overhaul of the character model system to allow for greater variety in skin tone, eye color, and more within the same biome.


2.9

Fix biome assignment properties

Texture fixes
 Hat of Nether Merchant
 Glasses of Hunter Villager Trader
 Hat of Snow Villagers
 Hands of some wandering traders
 
Add mobs
 Villager Workers


2.8

Texture fixes
    Improved villager outfits to better match the vanilla versions
    Improved villager mustaches, beards, and hairstyles
    Improved profession outfits for Mushroom and Cherry villagers
    Improved profession outfits for librarians and fishermen
    Fix collar for the Badlands villagers
    Improved profession outfits for the Badlands villagers


2.7

Texture fixes
 Improved profession dress for Mushroom and Cherry
 Improved profession librarian and fisher
 Neck of Badlands variant
 Improved profession dress for Badlands
 Improved villagers mustaches


2.6

New villager biome type : Badlands (desert variant)
New villager biome type : Mushroom (swamp variant)
New villager biome type : Cherry (swamp variant)
New villager biome type : Ocean (plains variant)

Texture fixes
 Savanna Cartographer's mustache
 Hat of swamp type villager
 Improved biome type assignment for clerics
 Improved profession dress for Badlands

2.5

Biome dress and hairstyle variants
Armorer
Cartographer
Farmer
Cleric
Fletcher
Shepherd 


Texture fixes
 Garbage villager skin
 Sleeves of the archer's, cartographer's, and farmer's jackets to better match the biome types


2.3

Biome variants to Wolves (backport)


2.2

Iron Golem's skin review, the biome type is based on the leaves
Improved biome type assignment for Iron Golems
Improved biome type assignment for Wandering Traders
Iron golems have regained their noses
Villagers now have a “more human” faces
Iron golem's biome-based skins have been updated

Texture fixes
 XP trader's neck
 Snow recruit's hat
 Desert recruit's hat

2.1

Biome variants to Wandering Traders
Biome variants to Iron Golems


2.0

Texture fixes
 Farmer's Jacket
 Weaponsmith's Eye Patch
 Fisherman's Hair
 
Add mobs
 Villager Enchanter
 Garbage Collector Villager
 Bountiful Villager
 Miner Villager
 Desert Villager Trader 
 Jungle Villager Trader
 Diamond Trader
 Villager Enchanter
 Villager Plus
 XP Trader
 Leaf Villager Trader
 Ocean Villager Trader
 Lush Cave Trader
 More Traders
 Plains Villager Trader
 Illager Trader
 
Biome type compatibility
 illager chef, illager trader and nether trader are now classic villager with biome type support
 Desert Villager Trader biome type is always desert
 Jungle Villager Trader biome type is always jungle
 Plains Villager Trader biome type is always plains
 Mushroom Villager Trader biome type is always swamp
 Hunter Villager Trader biome type is always taïga
 
Trade blocks texture
 Backery Trader - Birch barrel
 Jungle Villager Trader - Bamboo barrel
 Desert Villager Trader - Acacia barrel
 Plains Villager Trader - Oak barrel
 Mushroom Villager Trader - Mangrove barrel
 Hunter Villager Trader - Jungle barrel
 Ocean Villager Trader - Pale Oak barrel
 Guard Villager Trader - Dark oak barrel
 Nether Villager Trader - Crimson barrel
 Nether Merchant - Warped barrel
 Illager Cher - Cherry barrel
 
Fix missing zombie version
 Bountiful Villager
 Diamond Trader
 XP Trader
 Villager Enchanter

1.9

Compatibility MC 1.20 to 1.21.11

Texture fixes
 Desert biome villager hat, to better match the hairstyle
 Villager outfits, to better suit the updated professions
 Zombie villager's plain outfit
 Hats of the archer, shepherd, and fisherman, to match the biome-specific hats
 Outfits for recruit and guard villagers in the plains
 Monster hunter villager compatibility with biome types
 Panther bandana for jungle guards
 Leaves bandana for savanna guards
 Sandals of jungle biome villagers 


1.8

Add mobs
 Recruits
 Workers
 Monster Hunter Villager

Fix mcmeta of villagers

Texture fix
 Ears to guard villagers
 Ears to visiting villagers
 Zombie villagers type
 


1.7

Texture fix
 Left glove of mason
 Review leather pants 
 Shoulders of mason, fletcher, armorer, swamp villager
 Hat of fletcher, shepherd, cartographer and fisherman
 
New profession dress texture for weaponsmith (bandana)
Review of ears

Add mobs
 carpenter from sawmill


1.6

Texture fix
 Review of gloves and hands
 Hair and beard styling for all professions
 Shepherd hair color
 Fletcher neck
 Guard villager desert hands
 Baker zombie eyebrows
 Visiting villagers arms
 Visiting villagers wandering trader biome type
 Visiting villagers illager set as default

1.5

New profession dress texture for 
 farmer
 fletcher
 cartographer
 cleric robe and hair
 librarian hair
 toolsmith hair
 illager chef and nether trader are now biome type compatible
 illager chef hat

1.4

Compatibility MC 1.21.1 to 1.21.8

Applied moving arms to wandering trader
Applied moving arms to visitors villagers

Fix entity for moving arms
 bakery_villager_trader
 guard_villager_trader
 hunter_villager_trader
 illager_chef
 mushroom_villager_trader
 nether_merchant
 nethervillagertrader
 picos_warrior_villager_
 railcraft_reborn
 trial_villagers
 visitors_villagers

Textured trade block for :
 bakery_villager_trader
 guard_villager_trader
 hunter_villager_trader
 illager_chef
 mushroom_villager_trader
 nether_merchant
 nethervillagertrader


1.3

New moving arms
Guard VIllagers : add missing biome variants


1.2

Add mobs
hunter_villager_trader
picos_warrior_villager


1.1

Add mobs
bakery_villager_trader
guard_villager_trader
mushroom_villager_trader
nether_merchant
railcraft_reborn
trial_villagers
guard_villagers

1.0

Add mobs
Minecraft

Skin colors

Plains 69422e
Jungle 1e130c
Swamp a77e35
Desert 513929
Savanna 312218
Taiga 613925
Snow 5d422c
Redrocks 45201b


Eye colors

Plains 009611
Jungle 0e0d0c
Swamp 7a5e70
Desert 343434
Savanna 236224
Taiga 00628b
Snow 21aabb


